<?php

/*
==========================================
 PHP-NUKE: Guild Application module
 Version 2.2.3
==========================================
 Copyright (c) 2007
  by Nathan Burke
  based on work by:
    Arioch - http://www.black-blades.org

 This program is free software. You can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation
 
==========================================
*/

if (!eregi("modules.php", $_SERVER['PHP_SELF'])) {
    die ("You can't access this file directly...");
}
define('NO_EDITOR', TRUE);  //Supress WYSIWYG editor - comment out if not applicable
require_once("mainfile.php");
$module_name = basename(dirname(__FILE__));
$index = 0;
include("header.php");
OpenTable();

//Load variables from database
global $db;
$sql = "select * from recruitment_config where type='variable'";
$result = $db->sql_query($sql);
while($row = $db->sql_fetchrow($result))
	$Variables[$row['name']] = array('value' => $row['value'], 'show' => $row['show'], 'required' => $row['required']);

if ($apply == "true" || $Variables['summarypage']['show'] == 0)
{
	include("request_form.php");
	requestform();
}
else
{
	if($Variables['guildrules']['show'])
	{
		echo "<h2 align=\"center\">{$Variables['guildname']['value']} Guild Rules</h2>";
		echo "<div align=\"center\">{$Variables['guildrules']['value']}</div><br>";
		echo "<hr>";
	}
	if($Variables['rankstructure']['show'])
	{
		echo "<h2 align=\"center\">{$Variables['guildname']['value']} Rank Structure</h2>";
		echo "<div align=\"center\">{$Variables['rankstructure']['value']}</div><br>";
		echo "<hr>";
	}
	if($Variables['raidinginfo']['show'])
	{
		echo "<h2 align=\"center\">{$Variables['guildname']['value']} Raiding Info</h2>";
		echo "<div align=\"center\">{$Variables['raidinginfo']['value']}</div><br>";
		echo "<hr>";
	}

	//Load class table from databse
	$sql="SELECT * FROM recruitment_classes";
	$result = $db->sql_query($sql);
	$classes = array();
	while($row = $db->sql_fetchrow($result))
		array_push($classes, array('name' =>$row['name'], 'status' => $row['status']));
	if ($classes[0]['status'] == "Open")
	{
		echo "<table align=\"center\" border=\"0\" cellpadding=\"1\" cellspacing=\"0\" width=\"100%\">\n";
		echo "	<tr>\n";
		echo "	  <td height=\"30\">\n";
		echo "	    <table border=\"0\" cellpadding=\"1\" cellspacing=\"0\" width=\"100%\">\n";
		echo "			<tr>\n";
		echo "				  <td align=\"center\"><font class=\"menuhead\"><strong>Current Class Desirability</strong></font></td>\n";
		echo "			</tr>\n";
		echo "		</table>\n";
		echo "    </td>\n";
		echo "	</tr>\n";
		echo "	<tr>\n";
		echo "	  <td>\n";
		echo "	    <table border=\"0\" cellpadding=\"4\" cellspacing=\"0\" width=\"100%\">\n";
		echo "		  <tr>\n";
		if ($classes[0]['status'] == "Open")
			echo "              <td><div align=\"center\"><font class=\"content\">We are currently looking for new members of the following classes: </font></div>";
		else
			echo "              <td><div align=\"center\"><font class=\"content\"><b>Recruitment is currently <font color=\"#ff0000\">CLOSED!</font></b></font></div>";
		echo "        </tr>\n";
		echo "        <tr>\n";
		echo "          <td colspan=\"4\" align=\"center\">\n";
		echo "            <table border=\"0\" width=\"130\">\n";
		foreach($classes as $class)
		{
			if($class['name'] == "Status") continue;
			desireLevel($class['name'], $class['status']);
		}
		echo "            </table>\n";
		echo "          </td>\n";
		echo "        </tr>\n";
		echo "	    </table>\n";
		echo "	  </td>\n";
		echo "	</tr>\n";
		echo "</table>\n";
		echo "<br>\n";
		echo "<br>\n";
		if($Variables['summaryfooter']['show'] == 1)
			echo "<div align=\"center\">{$Variables['summaryfooter']['value']}</div>\n";
		echo "<h3 align=\"center\"><font color=\"#0000ff\" size=\"3\"><strong><a href=\"modules.php?name=Application&apply=true\">Click Here to Apply Now!</a></strong></font></h3>\n";
	}
	else
	{
		echo "<table align=\"center\" border=\"0\" cellpadding=\"1\" cellspacing=\"0\" width=\"100%\">\n";
		echo "	<tr>\n";
		echo "	  <td><div align=\"center\"><img src=\"../images/blocks/Recruitment/stop.gif\" title=\"stop!\" alt=\"stop!\" border=\"0\" height=\"130\" width=\"131\">";
		echo "		<br><font class=\"content\"><b>Recruitment is currently <font color=\"#ff0000\">CLOSED!</font></b></font></div>";
		echo " </tr>\n";
		echo "</table>\n";
	}
}
CloseTable();
include("footer.php");

function desireLevel($Name, $Level)
{
	if($Name == "" || $Level == "") return;
	else
	{
		echo "<tr height=\"22\">\n";
		echo "  <td><font class=\"content\"><img src=\"images/blocks/Recruitment/".strtolower($Name)."_small.gif\" border=\"0\"></font></td>\n";
		echo "  <td><font class=\"content\">$Name:</font></td>\n";
		$fontColor = "#00CC00";
		if ($Level == "Medium")
			$fontColor="#FFCC00";
		elseif ($Level == "Low")
			$fontColor="#FF6600";
		elseif ($Level == "Closed")
			$fontColor="#FF0000";
		echo "  <td><font class=\"content\"><b><font color=\"$fontColor\">$Level</font></b></font></td>";
		echo "</tr>\n";
	}
}

?>