<?php

/*
==========================================
 PHP-NUKE: Recruitment Setting module
 Version 2.0.5
==========================================
 Copyright (c) 2007
  By Nathan Burke
  based on work by:
    Arioch - http://www.black-blades.org
  
 This program is free software. You can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation
 
==========================================
*/

if (!eregi("modules.php", $_SERVER['PHP_SELF'])) {
    die ("You can't access this file directly...");
}

$module_name = basename(dirname(__FILE__));
include("config.php");
global $db, $user, $cookie, $prefix, $username;
include("header.php");
require_once ("mainfile.php");

$index = 0;

$submitted = $_POST['Submit'];
//Update database if form has been submitted
if($submitted == "Update") 
	updateDB($_POST);

$classes = array();
$sql = "select * from recruitment_classes";
$result = $db->sql_query($sql);
while($row = $db->sql_fetchrow($result))
	array_push($classes, array('name' => $row['name'], 'status' => $row['status']));

Opentable();
if($submitted == "Update") echo "<center><h2>Record Updated!</h2></center><br>\n";
echo "<form action=\"modules.php?name=Recruitment_Settings\" method=\"POST\">\n";
echo "<center>\n";
echo "<strong>Current Recruitment Status:</strong>\n";
echo "<select id=\"status_status\" name=\"status_status\">\n";
echo "<option value=\"Open\""; if($classes[0]['status'] == "Open") echo " selected"; echo ">Open</option>\n";
echo "<option value=\"Closed\""; if($classes[0]['status'] == "Closed") echo " selected"; echo ">Closed</option>\n";
echo "</select>\n";
echo "<table width=\"150\" border=\"0\" align=\"center\" cellpadding=\"4\" cellspacing=\"4\">\n";
foreach( $classes as $value )
{
	if(strtolower($value['name']) == "status") 
		continue;
	echo "<tr>\n";
	echo "<td width=\"70\"><strong>{$value['name']}:</strong></td>\n";
	echo "<td><select id=\"".strtolower($value['name'])."_status\" name=\"".strtolower($value['name'])."_status\">\n";
	selected($value['status']);
	echo "</select></td>\n";
	echo "</tr>\n";
}
echo "</table>\n";
echo "<center><input type=\"Submit\" name=\"Submit\" value=\"Update\"></center>\n";
echo "</form>\n";
CloseTable();   
include("footer.php");

function updateDB($array)
{
	global $db;
	$tempArray1 = array_values($_POST);
	$tempArray2 = array_keys($_POST);
	for($i = 0; $i < count($_POST); $i++)
		if($tempArray2[$i] != "Submit")
			$arrayData[$i] = array('name' => $tempArray2[$i], 'value' => $tempArray1[$i]);
	foreach($arrayData as $row)
	{
		$var = explode("_", $row['name']);
		$sql = "update recruitment_classes set `{$var[1]}`='".addslashes($row['value'])."' where `name`='".addslashes($var[0])."'";
		if(!$db->sql_query($sql))
			echo "Error updating database: $sql<br />";
	}
}
function selected($type)
{
	echo "<option value=\"High\""; if ($type == "High") echo " selected"; echo ">High</option>\n";
	echo "<option value=\"Medium\""; if ($type == "Medium") echo " selected"; echo ">Medium</option>\n";
	echo "<option value=\"Low\""; if ($type == "Low") echo " selected"; echo ">Low</option>\n";
	echo "<option value=\"Closed\""; if ($type == "Closed") echo " selected"; echo ">Closed</option>\n";
}
?>